package com.yutou.qqbot.models.Commands.System;

import com.yutou.qqbot.Annotations.UseModel;
import com.yutou.qqbot.models.Model;
import com.yutou.qqbot.utlis.RedisTools;
import com.yutou.napcat.event.MessageEvent;
@UseModel
public class IP extends Model {
    @Override
    public boolean isUserPublic() {
        return false;
    }

    @Override
    public String[] getUsePowers() {
        return new String[]{
                QQGroupCommands.QQ_GET_IP
        };
    }

    @Override
    public String getModelName() {
        return "获取nas ip";
    }

    @Override
    public void onMessage(Long qq, MessageEvent event, boolean isGroup) {
        super.onMessage(qq, event, isGroup);
        if(msg.equals(QQGroupCommands.QQ_GET_IP)){
            RedisTools.Consumer.bot("getip");
        }
    }
}
